<div class="signin">
    <h2 class="signin-header">Inscription</h2>
    <form class="signin-container" novalidate #form="ngForm" (ngSubmit)="signIn()" name="form2">    <!-- #f="ngForm" (ngSubmit)="signIn(f)"-->

        <p>
            <input name="pseudo" type="pseudo" placeholder="Pseudo" [(ngModel)]="pseudo" required>
        </p>    

        <p>
            <input name="phone" type="phone" placeholder="Numéro" [(ngModel)]="phone" required>
        </p> 

        <p>
            <input name="password" type="password" placeholder="Mot de passe" [(ngModel)]="password" required>
        </p>    

        <p>
            <input name="password_confirm" type="password" placeholder="Confirmation du Mot de passe" [(ngModel)]="password_confirm" required>
        </p>   

        <div *ngIf="!form.valid" class="alert">

            Remplissez ces quatres champs.

        </div>

        <div *ngIf="!validMdp " class="alert">

            Les deux mots de passe ne sont pas identiques.

        </div>

        <div class="alert" *ngIf="!validSend">
            {{ errorMessage }}
        </div>

        <div *ngIf="loading" style="text-align: center;">
            <img src="../../../../assets/images/loading1.gif" width="60">
        </div>
        <div *ngIf="errConnexion" class="alert">
            Temps de connexion trop long.
        </div>
        <div *ngIf="validSend && validMdp" class="alert-valid">
            Inscription réussi vous allez recevoir un SMS, veuillez écire le code reçu ci-dessous.
            <div>
                <input name="token" type="text" placeholder="SMS token" [(ngModel)]="token" required>
            </div>
        </div>

        <p>
            <input type="submit" value="Valider">
        </p>
        <a mat-dialog-actions class="lien" (click)="openLogin()">Déjà inscris ?</a>
    </form>
</div>
